﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using FarPoint.Win.Spread.UndoRedo;
using FarPoint.Win.Spread;

namespace PowerOffice.SmartClient.DocumentCenter.Views.PowerFormsDesignerView.Actions
{
    /// <summary>
    /// Representerer en hendelse som kan angres.
    /// </summary>
    abstract class SheetAction: Action
    {
        /// <summary>
        /// Konstruerer en ny hendelse på den angitte siden.
        /// </summary>
        /// <param name="sheet"></param>
        protected SheetAction(SheetView sheet)
        {
            this.Sheet = sheet;
        }

        /// <summary>
        /// Henter siden som hendelsen utføres på.
        /// </summary>
        protected SheetView Sheet { get; private set; }
    }
}
