using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PowerOffice.SmartClient.DocumentCenter.Views.PowerFormsDesignerView
{
    /// <summary>
    /// Angir ramme for et cellesett.
    /// </summary>
    public enum GenericBorderStyle
    {
        /// <summary>
        /// Ingen rammer
        /// </summary>
        None,

        /// <summary>
        /// Kun vre ramme
        /// </summary>
        Top,

        /// <summary>
        /// Kun nedre ramme
        /// </summary>
        Bottom,

        /// <summary>
        /// Kun venstre ramme
        /// </summary>
        Left,

        /// <summary>
        /// Kun hyre ramme
        /// </summary>
        Right,

        /// <summary>
        /// Alle rammer
        /// </summary>
        All,

        /// <summary>
        /// Ytre rammer
        /// </summary>
        Outer,

        /// <summary>
        /// Tykke ytre rammer
        /// </summary>
        ThickOuter,

        /// <summary>
        /// Dobbel nedre ramme
        /// </summary>
        DoubleBottom,

        /// <summary>
        /// Tykk nedre ramme
        /// </summary>
        ThickBottom,

        /// <summary>
        /// vre og nedre rammer
        /// </summary>
        TopAndBottom,

        /// <summary>
        /// vre og dobbel nedre ramme
        /// </summary>
        TopAndDoubleBottom,

        /// <summary>
        /// vre og tykk nedre ramme
        /// </summary>
        TopAndThickBottom,
    }
}
